Bug 1128338 - Gnome shell inhibits suspend for no reason [NEEDINFO]
Summary: Gnome shell inhibits suspend for no reason
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 07:53 UTC by bztdlinux
Modified: 2015-10-01 21:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:59:41 UTC
bobdum: needinfo? (bobdum)


Attachments (Terms of Use)

Description bztdlinux 2014-08-09 07:53:24 UTC
Description of problem:
gnome-shell, via the logind inhibit system, prevents my laptop from suspending often. Trying with systemctl:

$ systemctl suspend
Operation inhibited by "thomas" (PID 1625 "gnome-session", user thomas), reason is "user session inhibited".
Please retry operation after closing inhibitors and logging out other users.
Alternatively, ignore inhibitors and users with 'systemctl suspend -i'.

systemctl suspend -i works as expected. It is totally unclear as to why gnome-session is inhibiting suspend. I don't have any applications open that should do this. This is really annoying because this often prevents my laptop from suspending when I put it into my bag, causing it to overheat.

Version-Release number of selected component (if applicable):
gnome-shell.x86_64                    3.10.4-8.fc20                    installed

How reproducible:
Once the system is in this state (less than a day), it is reproducible continuously.

Comment 1 Florian Müllner 2014-08-28 13:19:20 UTC
(In reply to bztdlinux from comment #0)
> Description of problem:
> gnome-shell, via the logind inhibit system, prevents my laptop from
> suspending often.

gnome-shell does not block suspend, it only uses a 'delay' inhibitor to lock the screen before actually suspending.


> $ systemctl suspend
> Operation inhibited by "thomas" (PID 1625 "gnome-session", user thomas),
> reason is "user session inhibited".

This inhibitor is added by gnome-session[0], not gnome-shell.


[0] https://git.gnome.org/browse/gnome-session/tree/gnome-session/gsm-systemd.c#n758

Comment 2 R0bert0 2014-09-13 22:47:24 UTC
(In reply to bztdlinux from comment #0)
> $ systemctl suspend
> Operation inhibited by "thomas" (PID 1625 "gnome-session", user thomas),
> reason is "user session inhibited".

I had, in a near past, the same reaction when either in a ALT+F2 or in a console when I type "reboot", system tells me to do a "systemctl reboot -i", because the user session is inhibited.

I have a second machine with the same basic config (same proc, same motherboard, same memory amount... ), and on this one, the reboot command works fine.

And today, when I launch on the both machines yum -y update, I notice that the computer on which reboot works well, it was an update of a package that wasn't install on the other. So I manually install THE package, reboot it, and the the command line "reboot" works well.

THE package is: kernel-modules-extra

Do not know if... but it works now...

Hope that will help.

Roberto :)

Comment 3 Fedora End Of Life 2015-05-29 12:35:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:59:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Benjamin Masse 2015-09-25 13:11:02 UTC
Hi all.

Experiencing this with error message on F22 running in a VirtualBox VM with kernel-modules-extra-4.1.7-200.fc22.x86_64 installed and after reboot.

Please let me know what additional information I could provide in case this gets reopen.

Comment 6 Benjamin Masse 2015-10-01 21:36:18 UTC
Reinstalled VM, problem gone, sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.